<template>
    <div class="tableEmpty">
        <div class="tableEmptyInner">
            <div class="tableEmptyIcon">
                <svg
                    xmlns="http://www.w3.org/2000/svg"
                    xmlns:xlink="http://www.w3.org/1999/xlink"
                    version="1.1"
                    id="Layer_1"
                    x="0px"
                    y="0px"
                    viewBox="0 0 384 384"
                    style="enable-background:new 0 0 384 384;"
                    xml:space="preserve"
                >
                                    <g>
                                        <g>
                                            <path
                                                d="M379.6,190c0.4-1.2,0.4-2.8,0-4L346.8,58c-2.8-10.4-12.4-18-23.2-18H60.4C49.2,40,40,47.2,37.2,58L4.4,186    c-0.4,1.2-0.4,2.8,0,4C1.6,195.6,0,201.6,0,208v96c0,22,18,40,40,40h304c22,0,40-18,40-40v-96C384,201.6,382.4,195.6,379.6,190z     M52.4,62c1.2-4,4-6,8-6h263.2c3.6,0,6.8,2.4,8,6l28,109.2c-4.8-2-10-3.2-15.6-3.2h-73.6c-11.6,0-21.2,8-23.6,19.2    c-5.2,26-28.4,44.8-54.8,44.8c-26.4,0-49.6-18.8-54.8-44.8c-2.4-11.2-12-19.2-23.6-19.2H40c-5.6,0-10.8,1.2-15.6,3.2L52.4,62z     M368,304c0,13.2-10.8,24-24,24H40c-13.2,0-24-10.8-24-24v-96c0-13.2,10.8-24,24-24h73.6c4,0,6.8,2.4,7.6,6.4    C128.4,223.6,158,248,192,248s63.6-24.4,70.8-57.6c0.8-4,4-6.4,7.6-6.4H344c13.2,0,24,10.8,24,24V304z"
                                            />
                                        </g>
                                    </g>
                                </svg>
            </div>
            <p class="tableEmptyText">
                {{ title }}
            </p>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'TableNoData',
        props: {
            title: {
                type: String,
                default: 'Нет данных для заказа'
            }
        }
    }
</script>
